Bug 377 - Localization problem in KDE locale
: Localization problem in KDE locale
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: Normal minor
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-14 13:36 MSD by Vladimir Potapov
Modified: 2012-12-27 14:38 MSK (History)
6 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
no localization (149.93 KB, image/png)
2012-06-14 13:36 MSD, Vladimir Potapov
Details
Locale tab with Preferred Language set to Russian (49.56 KB, image/png)
2012-07-16 10:57 MSD, Denis Silakov
Details
Is not worked (174.75 KB, image/png)
2012-07-16 11:03 MSD, Vladimir Potapov
Details
not russian (54.51 KB, image/png)
2012-07-16 14:03 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2012-06-14 13:36:55 MSD
Created attachment 261 [details]
no localization

Description of problem:
See attachment
Comment 1 Denis Silakov 2012-07-16 10:47:04 MSD
Which language is set as preferred in the "Languages" tab? It is likely that you have set locale to Russian using  "Configure your Computer"/"System"/"Localization", but the preferred language is either not set or set to English (see bug #481).

If I set the preferred language to Russian, all the words in the page from your screenshot are in Russian, as well.
Comment 2 Denis Silakov 2012-07-16 10:57:42 MSD
Created attachment 388 [details]
Locale tab with Preferred Language set to Russian

This is how the Locale tab looks like if I set preferred language to Russian. If preferred language is not set but system locale is set to English, then I get the same picture as in your case.

If setting the preferred language helps you, then I think it is time to remove "Configure your computer"/"System"/"Localization" completely, so the only place where user can change the locale is KDE Control Center (or similar configurators in Gnome/LXDE) and not confused by such situations.
Comment 3 Vladimir Potapov 2012-07-16 11:03:32 MSD
Created attachment 389 [details]
Is not worked
Comment 4 Denis Silakov 2012-07-16 11:38:07 MSD
I meant to select Russian in "Язык и Стандарты" -> Languages tab (right window in your screenshot). Configuration in the left window doesn't affect some KDE elements.
Comment 5 Vladimir Potapov 2012-07-16 14:03:30 MSD
Created attachment 391 [details]
not russian

Oh! Now everything is clear. Russian language is not installed, though I chose during installation (tested on two computers)
This is install bug!
Comment 6 Postnikov Dmitry 2012-07-16 17:16:27 MSD
This bug occurs even with the 2011 version. I talked about it for a long time. But no one paid attention.
Comment 7 JDronova 2012-10-09 23:18:58 MSD
This is not localization bug, this is clearly a code bug.
Comment 8 Denis Silakov 2012-10-10 13:46:52 MSD
Agree, this one is similar to bug #863.
Comment 9 Denis Silakov 2012-12-04 17:28:39 MSK
Advisory:
- A language of graphical interface of KDE locale settings will be set to current language if no preferred languages are chosen

Build lists:
- https://abf.rosalinux.ru/build_lists/850768
- https://abf.rosalinux.ru/build_lists/850769

Be careful: english language will be set by default if no preferred languages are chosen and there is no back way. So, if you choose preferred language, save settings (± logout) and then remove all preferred languages and save settings (± logout), you will get GUI in English.
Comment 10 Vladimir Potapov 2012-12-05 15:06:03 MSK
что-то я не очень понял логику исправления.
да, после обновления интерфейс стал русским без указания русского языка в списке языков. Но если добавить английский (вход-выход) а потом его удалить, то точно такое же состояние (русская локаль, в списке языков ничего нет) все становится английским. Состояние должно быть воспроизводимым!

Тут уж или язык устанавливается при установке локали или при установке новой русской системы русский язык добавляется в список языков.
Comment 11 Vladimir Potapov 2012-12-05 15:14:01 MSK
причем еще, при указании русской локали после английской (без добавления языка) перестают отображаться русские имена файлов на столе, кракозяблики скачут.
И имя пользователя в SW тоже пропадает, хотя шрифты есть - пишу именно в этом режиме.
Comment 12 Dmitry 2012-12-05 18:04:41 MSK
> при указании русской локали после английской (без добавления языка)

Не понятно, как без добавления языка установить рус после англ?
Comment 13 Dmitry 2012-12-05 18:10:18 MSK
> да, после обновления интерфейс стал русским без указания русского языка в списке языков. Но если добавить английский (вход-выход) а потом его удалить, то точно такое же состояние (русская локаль, в списке языков ничего нет) все становится английским. Состояние должно быть воспроизводимым!

Это Вы апстриму скажите или кто там языками занимается. Совершенно ясно, что если убрать все языки из списка доступных, то будет использоваться язык по умолчанию, коим является в KDE АНГЛИЙСКИЙ. Почему после установки ОС у нас русский - не понятно.
Comment 14 Alexander Burmashev 2012-12-05 18:12:34 MSK
/etc/sysconfig/i18n потому что "забит" на русский ?
Comment 15 Dmitry 2012-12-05 18:12:53 MSK
Моя лишь задача состояла в том, чтобы при открытии настроек локали не было английского языка, когда в KDE везде русский.
Comment 16 Denis Koryavov 2012-12-05 21:02:45 MSK
Да, при отсутствии какого-либо языка локаль "слетает" на C. Это хоть и непривычно, но правильно с точки зрения логики. Неправильным является именно то, что, как уже указал Дима, языки по умолчанию в KDE не устанавливаются. Это тоже бага и её тоже хорошо бы поправить, но у нас до неё руки не дошли. Сейчас мы просто в в рамках выправления локализации делали быстрый патч. Предлагаю его принять, а новую багу поставить. 

P.S Что это мы на русский перешли? Задача-то актуальна не только нам. 

P.P.S Дима, надеюсь ты жестко русский не забивал? Полагаю, та же проблема для других языков.
Comment 17 Dmitry 2012-12-05 21:13:20 MSK
нет, не фиксировал. Использовал текущий язык.
Comment 18 Dmitry 2012-12-05 21:13:49 MSK
Да, другой баг, я тоже так считаю
Comment 19 Vladimir Potapov 2012-12-06 10:13:37 MSK
Ок, тогда еще раз взведите вопросик, я проверю еще под одной системой.
А баг с начальными настройками заведем другой
Comment 20 Denis Silakov 2012-12-06 12:20:16 MSK
Advisory:
- A language of graphical interface of KDE locale settings will be set to current language if no preferred languages are chosen

Build lists:
- https://abf.rosalinux.ru/build_lists/850768
- https://abf.rosalinux.ru/build_lists/850769

Be careful: english language will be set by default if no preferred languages are chosen and there is no back way. So, if you choose preferred language, save settings (± logout) and then remove all preferred languages and save settings (± logout), you will get GUI in English.
Comment 21 Vladimir Potapov 2012-12-06 14:38:09 MSK
kdebase4-runtime-4.8.3-3-rosa.lts2012.0
******************** Advisory *******************
A language of graphical interface of KDE locale settings will be set to current language if no preferred languages are chosen
*************************************************
QA Verified